/*
    zas5045.h - Magnetic encoder
    Copyright (C) 2018 Ladislav Vaiz <ok1zia@nagano.cz>

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    version 2 as published by the Free Software Foundation.

*/

#ifndef __ZAS5045_H
#define __ZAS5045_H

#define ZAS5045_EPARITY -1
#define ZAS5045_ECOF -2	//  (CORDICOverflow), logic high indicates an out of range error in the CORDIC par t.When this bit is set, the data at D9 : D0 is invalid.
                        // The absolute output maintains the last valid angular value.This alarm may be resolved by bringing the magnet within the X - Y - Z tolerance limits.
#define ZAS5045_EREAD -3 // Can't read data pin

struct zas5045{
    struct zgpio *cs, *clk, *data;
	int ocf, cof, lin, maginc, magdec;
};  


struct zas5045 *zas5045_init(char *csgpioname, char *clkgpioname, char *datagpioname);
void zas5045_free(struct zas5045 *as);
int zas5045_read(struct zas5045 *as);
int zas5045_read_azimuth(struct zas5045 *as);

#endif
