/*
    zgpio.h - GPIO library
    Copyright (C) 2018 Ladislav Vaiz <ok1zia@nagano.cz>

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    version 2 as published by the Free Software Foundation.

*/

#ifndef __ZGPIO_H
#define __ZGPIO_H

struct zgpio{
    int nr;
    char *name;
    int unexport_after;
};  

struct zgpio *zgpio_init_nr(int nr);
struct zgpio *zgpio_init_name(const char *name);
void zgpio_free(struct zgpio *gpio);
int zgpio_dir_input(struct zgpio *gpio);
int zgpio_dir_output(struct zgpio *gpio);
int zgpio_write(struct zgpio *gpio, int value);
int zgpio_read(struct zgpio *gpio);

#endif
